## org.opencyc.conversation
Class ActionFactory

    java.lang.Object
      |
      +--org.opencyc.conversation.ActionFactory

public class ActionFactory
extends java.lang.Object

Makes actions and uses a cache to create only unique instances.

Author:
  Stephen L. Reed

  Copyright 2001 Cycorp, Inc., license is open source GNU LGPL.

  the license

  www.opencyc.org

  OpenCyc at SourceForge

  THIS SOFTWARE AND KNOWLEDGE BASE CONTENT ARE PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE OPENCYC ORGANIZATION OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE AND KNOWLEDGE BASE CONTENT, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

Constructor Summary
`ActionFactory()` Constructs a new ActionFactory object.

Method Summary
`Action` `getAction(java.lang.String action)` Returns a Action object given the event name.
`Action` `makeAction(java.lang.String name)` Makes a new Action object given its name

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionFactory

    public ActionFactory()

  Constructs a new ActionFactory object.

Method Detail

### makeAction

    public Action makeAction(java.lang.String name)

  Makes a new Action object given its name
  Parameters:
    `name` - the action name

### getAction

    public Action getAction(java.lang.String action)

  Returns a Action object given the event name.
  Parameters:
    `action` - the event name
  Returns:
    the Action object having the event hame or null if it does not exist